This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1020464 - Heavy disk I/O (MD RAID?) crashes or freezes Fedora 15 [NEEDINFO]
Heavy disk I/O (MD RAID?) crashes or freezes Fedora 15
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 13:40 EDT by Mauricio Henriquez
Modified: 2014-06-23 10:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-23 10:41:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Mauricio Henriquez 2013-10-17 13:40:04 EDT
Description of problem:

On a clean Fedora 19 install the system freeze/hangs on heavy I/O loads, no matter if is from one internal partition (ext4) to another (ext4) or from a internal partition (ext4) to an USB disk (NTFS) or from an USB disk (NTFS) to an internal partition (ext4).

The system complete freeze, no possible to go to other terminal it force to do a hard reboot.

No OOPS or any other diagnostic to attach, either the X window session froze with a blank screen requiring a reboot

No possible to enter to other console (ctrl+alt+f2...), just show a blinking prompt, not possible to login.

Same Hardware with Fedora 12 don't have the problem.

How reproducible:
100%

Steps to Reproduce:
1. Install Fedora 19
2. Copy large filesystem
3.

Actual results:
System freezes (unusable) after a couple of minutes coping files

Expected results:
Data copied without freezes


Additional info:
Internal system drive is a HP sps-drv hdd 750gb 7200sat2.5in new the USB disk can be any.

System is an Alienware M15x Intel® Core™ i7 CPU Q 820 @ 1.73GHz × 8 with an Nvidia GeForce GTX 260M/PCIe/SSE2. The problem it also happen with the nouvou driver. 6Gb DDR3 RAM

The problem occur more often in Gnome3 than in Mate or KDE desktops, to freeze the problem in Mate you need t copy a more larger files/folders.

What else can I add to help to report this?, at least the "messages" log seems to report the same things already on this thread.

Version-Release number of selected component (if applicable):
Fedora 19 kernel 3.11.3-201.fc19.i686.PAE.
Comment 1 Justin M. Forbes 2014-01-03 17:07:02 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 2 diakula 2014-01-30 02:13:05 EST
I have similar issue with Fedora 20, upgraded from 18 through 19.
I experience temporary freezes of the whole UI during heavy IO operations (torrents + copying files) on the internal HDD 2TB Seagate, formatted NTFS (for compatibility with a Windows dual-boot). System drive is a SSD ext4. All on SATA.

Interestingly, during the freeze, my internet radio (rhythmbox) continues to play. It seems the Gnome UI freezes for up to a minute then continues OK, then freezes again, and so on several times until the IO operations reduce intensity (torrents fall down from 6mbits/s to about 1.5mbit/s).
Comment 3 Justin M. Forbes 2014-03-10 10:51:32 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.13.5-100.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 4 Justin M. Forbes 2014-06-23 10:41:07 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.